\documentclass[14pt]{beamer}

\usetheme{Darmstadt}
\usefonttheme[onlylarge]{structurebold}
\setbeamerfont*{frametitle}{size=\normalsize,series=\bfseries}
\setbeamertemplate{navigation symbols}{}

\usepackage{tikz}
\usetikzlibrary{arrows}
\tikzstyle{block}=[draw opacity=0.7,line width=1.4cm]

\title[Use of PostgreSQL in the Debian Project]
{%
	Use of PostgreSQL in the Debian Project%
}
\author[Palfrader]
{
  Peter~Palfrader
}

\date[FrOSCon 2009]
{FrOSCon 2009\\
St. Augustin, Germany}

\begin{document}

%\subsection{ Apart from better sanitation and medicine and education and \ldots }
\begin{frame}
  \titlepage
\end{frame}

\section{Debian Services}
%\subsection{ \ldots irrigation and public health and roads and \ldots }
\begin{frame}{Debian Services/Teams}
    \begin{itemize}
      \item FTP Team
      \item QA
      \item NM
      \item wanna-build
      \item UDD
      \item bugs.debian.org
      \item DSA
      \item snapshot
    \end{itemize}
\end{frame}

\section{FTP Team}
\begin{frame}{FTP Team}
    \begin{itemize}
      \item services: \{ftp,security,volatile\}-master.d.o
      \item in Pg: \begin{itemize}
        \item packages overrides
        \item sources, binaries, binary - source mapping
        \item uploader
        \item suites
      \end{itemize}
      \item not in the DB yet: other metadata that goes into Packages, Sources and Contents files
      \item mirrored daily to Debian-Developer accessible host
    \end{itemize}
\end{frame}

\section{QA Team}
\begin{frame}{QA Team}
    \begin{itemize}
      \item Populates their own database from ftp mirrors
      \item remote apt-cache/rmadison\\
            \texttt{http://qa.debian.org/cgi-bin/dcontrol}
      \item DDPO (in development)
            {\footnotesize\texttt{http://qa.debian.org/cgi-bin/ddpo?login=weasel}}
    \end{itemize}
\end{frame}

\section{New Maintainer Ctte}
\begin{frame}{New Maintainer Ctte}
    \begin{itemize}
      \item gpg-coord service
      \item nm.d.o Application Manager, applicant, progress Tracking
    \end{itemize}
\end{frame}

\section{wanna-build}
\begin{frame}{wanna-build}
    \begin{itemize}
      \item transition tracking (for release team)
            {\footnotesize\texttt{https://buildd.debian.org/transitions/summary.html}}
      \item in the future: build-status
    \end{itemize}
\end{frame}

\section{UDD}
\begin{frame}{Ultimate Debian Database}
    \begin{itemize}
      \item gathers a lot of data about various aspects of Debian
      \item It allows users to easily access and combine all this data.
      \item \texttt{http://udd.debian.org/}
    \end{itemize}
\end{frame}

\section{BTS}
\begin{frame}{bugs.debian.org}
    \begin{itemize}
      \item not for bugs - they are stored in the filesystem
      \item Bayes Database for SpamAssassin is in Pg :)
    \end{itemize}
\end{frame}

\section{DSA}
\begin{frame}{DSA}
    \begin{itemize}
      \item request tracker - normal RT instance
    \end{itemize}
\end{frame}

\section{Snapshot}
\begin{frame}{snapshot.debian.org}
    \begin{itemize}
      \item Tries to keep a snapshot of all states of the ftp archive ever
      \item Files kept on the filesytem (content addressed)
      \item metadata (filename, path, which archive, when added/removed, etc.) is kept in a PostgreSQL
    \end{itemize}
    {\footnotesize (still in development)}
\end{frame}

\end{document}
